Subject: bug#73736: 31.0.50; project and therefore eglot don't work without git

From: Ship Mints <[email-masked]>
Date: Fri, 11 Oct 2024 13:40:45 -0400

I assume you're not suggesting adding ".project" to everyone's Emacs
default configurations. It's a user option already (which I do use).

On Fri, Oct 11, 2024 at 1:14 PM Dmitry Gutov <[email-masked]> wrote:

> On 11/10/2024 11:53, Joost Kremers wrote:
> >> That's a natural question, but it would result in different results for
> >> "current project" for files in the same directory (which often enough
> use
> >> different major modes).
> > What about a single marker that works for any project? This is a
> > work-around that Projectile uses and I'm using it with project.el as
> well,
> > with:
> >
> > ```
> > (add-to-list 'project-vc-extra-root-markers ".project")
> > ```
>
> That's the recommended course of action if you don't have other
> consistent indicators of project root, between your projects.
>
> I'm not a fan of adding a file that has no other purposes, but if people
> find this useful, no problem. For personal projects it certainly
> shouldn't hurt.
>
> Eric, Jim, how would you like this resolution?
>
>
>
>